CO_RPDO_t Struct Reference
CANopen_301 » PDO

RPDO object. More...

`#include <CO_PDO.h>`

## Data Fields

CO_EM_t * | em
| From CO_RPDO_init()
CO_SDO_t * | SDO
| From CO_RPDO_init()
const CO_RPDOCommPar_t * | RPDOCommPar
| From CO_RPDO_init()
const CO_RPDOMapPar_t * | RPDOMapPar
| From CO_RPDO_init()
CO_NMT_internalState_t * | operatingState
| From CO_RPDO_init()
uint8_t | nodeId
| From CO_RPDO_init()
uint16_t | defaultCOB_ID
| From CO_RPDO_init()
uint8_t | restrictionFlags
| From CO_RPDO_init()
bool_t | valid
| True, if PDO is enabled and valid.
uint8_t | dataLength
| Data length of the received PDO message. More...
uint8_t * | mapPointer [8]
| Pointers to 8 data objects, where PDO will be copied.
CO_SYNC_t * | SYNC
| From CO_RPDO_init()
bool_t | synchronous
| True, if PDO synchronous (transmissionType <= 240)
volatile void * | CANrxNew [2]
| Variable indicates, if new PDO message received from CAN bus.
uint8_t | CANrxData [2][8]
| 8 data bytes of the received message.
void(* | pFunctSignalPre )(void *object)
| From CO_RPDO_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_RPDO_initCallbackPre() or NULL.
CO_CANmodule_t * | CANdevRx
| From CO_RPDO_init()
uint16_t | CANdevRxIdx
| From CO_RPDO_init()

## Detailed Description

RPDO object.

## Field Documentation

## dataLength

uint8_t CO_RPDO_t::dataLength

Data length of the received PDO message.

Calculated from mapping

The documentation for this struct was generated from the following file:

- 301/CO_PDO.h